Subject: Re: [Cfrg] TLS PRF security proof?

From: Peter Gutmann <[email-masked]>
Date: Wed, 9 Jul 2014 05:58:13 +0000

Dan Brown <[email-masked]> writes:

>Would it be useful if CFRG were to publish a recommended PRF?

Already done, just use HKDF, RFC 5869.  The problem isn't publishing it, it's
getting it adopted, so far each and every standards group has seen fit to
invent their own incompatible PRF/KDF, and I'm not sure what size gun you'd
need to hold to everyone's head to get them to agree to standardise on HKDF
(or anything els for that matter).

Peter.